Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.functions
Class ConstructorFunctionLibrary

    java.lang.Object
      net.sf.saxon.functions.ConstructorFunctionLibrary

All Implemented Interfaces:
  java.io.Serializable, FunctionLibrary

    public class ConstructorFunctionLibrary

extends java.lang.Object
implements FunctionLibrary

The ConstructorFunctionLibrary represents the collection of constructor functions for atomic types. These are provided for the built-in types such as xs:integer and xs:date, and also for user-defined atomic types.

See Also:
  Serialized Form

Constructor Summary
`ConstructorFunctionLibrary(Configuration config)` Create a SystemFunctionLibrary

Method Summary
`Expression` | `bind(StructuredQName functionName, Expression[] arguments, StaticContext env)` Bind an extension function, given the URI and local parts of the function name, and the list of expressions supplied as arguments.
`FunctionLibrary` | `copy()` This method creates a copy of a FunctionLibrary: if the original FunctionLibrary allows new functions to be added, then additions to this copy will not affect the original, or vice versa.
`boolean` | `isAvailable(StructuredQName functionName, int arity)` Test whether a system function with a given name and arity is available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorFunctionLibrary

    public ConstructorFunctionLibrary(Configuration config)

  Create a SystemFunctionLibrary

  Parameters:
    `config` - the Configuration

Method Detail

### isAvailable

    public boolean isAvailable(StructuredQName functionName,
                               int arity)

  Test whether a system function with a given name and arity is available. This supports the function-available() function in XSLT. This method may be called either at compile time or at run time.

  Specified by:
    `isAvailable` in interface `FunctionLibrary`
  Parameters:
    `functionName` -
    `arity` - The number of arguments. This is set to -1 in the case of the single-argument function-available() function; in this case the method should return true if there is some
  Returns:
    true if a function of this name and arity is available for calling.

### bind

    public Expression bind(StructuredQName functionName,
                           Expression[] arguments,
                           StaticContext env)
                    throws XPathException

  Bind an extension function, given the URI and local parts of the function name, and the list of expressions supplied as arguments. This method is called at compile time.

  Specified by:
    `bind` in interface `FunctionLibrary`
  Parameters:
    `functionName` -
    `arguments` - The expressions supplied statically in the function call. The intention is that the static type of the arguments (obtainable via getItemType() and getCardinality() may be used as part of the binding algorithm.
    `env` -
  Returns:
    An object representing the extension function to be called, if one is found; null if no extension function was found matching the required name and arity.
  Throws:
    `XPathException` - if a function is found with the required name and arity, but the implementation of the function cannot be loaded or used; or if an error occurs while searching for the function; or if this function library "owns" the namespace containing the function call, but no function was found.

### copy

    public FunctionLibrary copy()

  This method creates a copy of a FunctionLibrary: if the original FunctionLibrary allows new functions to be added, then additions to this copy will not affect the original, or vice versa.

  Specified by:
    `copy` in interface `FunctionLibrary`
  Returns:
    a copy of this function library. This must be an instance of the original class.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.